/*
DARK GRAY: #4A4A4A
LIGHT GRAY: #F3F3F3
BEIGE: #BBB0A3
*/

/* =============================*/

/* BASIC SETUP */

/* =============================*/

* {
  margin: 0;
  padding: 0;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

*:focus {
  outline: none;
}

html,
body {
  background-color: #fff;
  color: #4a4a4a;
  font-family: 'Open Sans', sans-serif;
  font-size: 20px;
  font-weight: 300;
  text-rendering: optimizeLegibility;
  overflow-x: hidden;
}

/* =============================*/

/* REUSABLE COMPONENTS */

/* =============================*/

.row {
  zoom: 1;
  /* For IE 6/7 (trigger hasLayout) */
  max-width: 1140px;
  margin: 0 auto;
}

.row:before,
.row:after {
  content: '';
  display: table;
}

.row:after {
  clear: both;
}

section {
  padding: 60px 0;
}

.section-row {
  padding: 0 40px;
}

/* ----- HEADINGS ----- */

h1 {
  margin-top: 0;
  text-transform: uppercase;
  font-size: 400%;
  font-weight: 300;
  letter-spacing: 4px;
  word-spacing: 6px;
}

h2,
h3 {
  text-transform: lowercase;
}

h2 {
  font-size: 180%;
  font-weight: 600;
  letter-spacing: 1px;
  word-spacing: 2px;
  margin-bottom: 20px;
}

h3 {
  font-size: 120%;
  font-weight: 400;
  line-height: 120%;
  margin-bottom: 20px;
  color: #bbb0a3;
}

/* =============================*/

/* HEADER */

/* =============================*/

header {
  height: 100vh;
  background-image: url('./img/header.jpg');
  background-repeat: no-repeat;
  background-size: cover;
  background-position: bottom;
}

.hero-text-box {
  width: 1140px;
  text-align: center;
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
}

.logo {
  float: left;
  height: 50px;
  width: auto;
  margin-top: 30px;
}

/* ----- MAIN NAV ----- */

.nav-right {
  float: right;
  margin-top: 40px;
}

.main-nav {
  list-style: none;
  display: inline-block;
  margin-right: 50px;
}

.main-nav li {
  display: inline-block;
  margin-left: 40px;
}

.main-nav li a:link,
.main-nav li a:visited {
  text-decoration: none;
  text-transform: uppercase;
  font-size: 80%;
  font-weight: 600;
  color: #bbb0a3;
  -webkit-transition: color 0.2s ease-out;
  transition: color 0.2s ease-out;
}

.main-nav li:first-child a:link,
.main-nav li:first-child a:visited {
  color: #4a4a4a;
}

.main-nav li a:hover,
.main-nav li a:active {
  color: #4a4a4a;
}

/* ----- MOBILE NAV ----- */

.mobile-nav-icon {
  cursor: pointer;
  position: absolute;
  top: 40px;
  right: 20px;
  display: none;
}

.mobile-nav-icon i {
  font-size: 170%;
  margin-top: -5px;
}

/* ----- STICKY NAV ----- */

.sticky {
  width: 100%;
  position: fixed;
  top: 0;
  left: 0;
  background-color: rgba(255, 255, 255, 0.9);
  -webkit-box-shadow: 0 2px 2px #efefef;
  box-shadow: 0 2px 2px #efefef;
  z-index: 9999;
}

.sticky .logo {
  height: 25px;
  margin: 20px 0;
}

.sticky .nav-right {
  margin-top: 20px;
}

.sticky .mobile-nav-icon {
  top: 27px;
}

.sticky .mobile-nav-icon i {
  font-size: 150%;
}

/* ----- SEARCH BAR ----- */

.search-form {
  display: inline-block;
  position: relative;
}

.search-bar {
  position: absolute;
  top: 55px;
  right: -10px;
  outline: none;
  font-size: 80%;
  font-weight: 300;
  color: #4a4a4a;
  display: inline-block;
  width: 0;
  height: 35px;
  border: 0;
  opacity: 0;
  -webkit-transition: all 0.5s ease-out;
  transition: all 0.5s ease-out;
}

.search-bar.active {
  margin-right: 10px;
  border: 1px solid #bbb0a3;
  border-radius: 3px;
  padding: 7px 10px;
  width: 250px;
  opacity: 1;
}

.search-btn {
  background-color: transparent;
  border: 0;
  cursor: pointer;
  height: 25px;
}

.search-btn img {
  height: 100%;
  width: auto;
  vertical-align: middle;
  margin-top: -7px;
}

/* =============================*/

/* ABOUT US */

/* =============================*/

.about-box {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  margin: 20px 0;
}

.col {
  margin-right: 6%;
}

.col:last-child {
  margin-right: 0;
}

/* ----- ABOUT ----- */

.col-about {
  width: 40%;
}

.col-about p {
  font-size: 90%;
  line-height: 145%;
}

/* ----- FEATURES ----- */

.col-features {
  width: 20%;
}

.col-features ul {
  list-style: none;
}

.feature-box {
  margin-bottom: 20px;
}

.feature-box img {
  height: 25px;
}

.feature-box p {
  font-size: 80%;
  font-weight: 600;
  text-transform: uppercase;
  letter-spacing: 0.5px;
  margin-top: 5px;
}

/* ----- IMAGE ----- */

.col-image {
  width: 40%;
}

.col-image img {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
  object-fit: cover;
}

/* =============================*/

/* CATEGORIES */

/* =============================*/

.section-categories {
  background-color: #f3f3f3;
}

.section-categories h2 {
  margin-bottom: 0;
  padding: 35px 0;
}

.categories-showcase {
  list-style: none;
  width: 100%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}

.categories-showcase li {
  width: 25%;
  position: relative;
  cursor: pointer;
}

.category-photo {
  width: 100%;
  height: 100%;
  margin: 0;
  background-color: #000;
  overflow: hidden;
  text-align: center;
}

.category-photo figcaption {
  color: #fff;
  text-transform: uppercase;
  font-size: 200%;
  font-weight: 700;
  letter-spacing: 2px;
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
}

.category-photo img {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
  object-fit: cover;
  opacity: 0.8;
  -webkit-transform: scale(1.15);
  transform: scale(1.15);
  -webkit-transition: all 0.5s ease-out;
  transition: all 0.5s ease-out;
}

.category-photo img:hover {
  opacity: 1;
  -webkit-transform: scale(1.03);
  transform: scale(1.03);
}

/* =============================*/

/* FOOTER */

/* =============================*/

footer {
  background-color: #f3f3f3;
  color: #bbb0a3;
  font-size: 80%;
  font-weight: 400;
  padding: 2%;
  text-align: center;
}

/* =============================*/

/* ANIMATIONS */

/* =============================*/

.js--feature-boxes {
  opacity: 0;
  -webkit-animation-duration: 1s;
  animation-duration: 1s;
}

.js--feature-boxes.animated {
  opacity: 1;
}
